/* SUIT version 2.3 */

#define THE_SCREEN_WIDTH 750
#define THE_SCREEN_HEIGHT 572
#define THE_SCREEN_DEPTH 7

#include "suit.h"


/*--------------------------------------------------------------------------------*/
/*                                                                                */
/*                                  NOTE:                                         */
/*                                                                                */
/*    This file contains all the permanent properties of this application's       */
/*    objects and is read in as a data file.  Compiling this file as part of      */
/*    your application "hard codes" your interface.  Please see "shipping"        */
/*    in the SUIT reference manual for further information.                       */
/*                                                                                */
/*                                                                                */
/*                              !! DANGER !!                                      */
/*                                                                                */
/*      This file is machine-generated, and its contents are very important.      */
/*                                                                                */
/*          If you must edit this file, do so with extreme caution!               */
/*                                                                                */
/*                              !! DANGER !!                                      */
/*                                                                                */
/*--------------------------------------------------------------------------------*/


extern void SUIT_interiorInitFromCode (char *programName, SUIT_functionPointer suiRoutine,
                                       int width, int height, int depth);

extern SUIT_type *si_getType(char *typeName);

extern void si_addChildToObject(SUIT_object, SUIT_object, boolean);

static void MAKE (char *name, char *class, char *parent, boolean interactive) 
{ 
    SUIT_object o = SUIT_name(name); 
    SUIT_object p = SUIT_name(parent); 
    if (p != NULL) {
        if (o == NULL) 
            o = SUIT_createObjectByClass(name, class); 
    	if (interactive) {
    	    SUIT_setBoolean (o, INTERACTIVELY_CREATED, TRUE);
    	    SUIT_makePropertyTemporary (o, INTERACTIVELY_CREATED, OBJECT);
    	}
        si_addChildToObject(SUIT_name(parent), o, FALSE); 
    }
} 
 


static void SET (char *objOrClass, char *propertyName, char *propertyType, boolean atClass,
                 boolean locked, char *stringValue) 
{ 
    SUIT_type	*type; 
    boolean	errorStatus; 
    Pointer	retval; 
    SUIT_level level = OBJECT; 
    SUIT_object o; 
     
    if (atClass) 
        level = CLASS; 
    if (level == CLASS) 
        o = SUIT_dummyObjectInClass(objOrClass); 
    else 
        o = SUIT_name(objOrClass); 
    type = si_getType(propertyType); 
    retval = type->convertFromAscii(stringValue, &errorStatus); 
    if (errorStatus == FALSE) 
	SUIT_setProperty(o, propertyName, propertyType, retval, level); 

    if (locked) 
        SUIT_lockProperty(o, propertyName, level); 
}


static void INIT_suiRoutine(void)
{
/* This line is for parsing simplicity -- do NOT remove it!  @ */
MAKE("choix actions","radio buttons","ROOT",0);
MAKE("unnamed object 10","stacker","ROOT",1);
MAKE("@b(thanks to)  Ronan Corler and Philippe Louet","label","unnamed object 10",1);
MAKE("@(copyright) 1994  Serge Rosmorduc","label","unnamed object 10",1);
MAKE("@i(A software for editing BZR files)","label","unnamed object 10",1);
MAKE("@b(Sbzr)","label","unnamed object 10",1);
MAKE("discl","text box","unnamed object 10",1);
MAKE("unnamed object 10's \"visible\"","on/off switch","ROOT",1);
MAKE("unnamed object 9","stacker","ROOT",1);
MAKE("Write Font as","button","unnamed object 9",0);
MAKE("Save Font","button","unnamed object 9",0);
MAKE("unnamed object 3","stacker","unnamed object 9",1);
MAKE("Load Font","button","unnamed object 3",0);
MAKE("unnamed object 8","stacker","ROOT",1);
MAKE("Move bb to zero","button","unnamed object 8",0);
MAKE("Compute BB","button","unnamed object 8",0);
MAKE("unnamed object 5","stacker","ROOT",1);
MAKE("delete letter","button","unnamed object 5",0);
MAKE("new letter","button","unnamed object 5",0);
MAKE("unnamed object 4","stacker","unnamed object 5",1);
MAKE("char-","arrow button","unnamed object 4",1);
MAKE("char number","type in box","unnamed object 4",0);
MAKE("char+","arrow button","unnamed object 4",1);
MAKE("unnamed object 7","stacker","ROOT",1);
MAKE("unnamed object 6","label","unnamed object 7",1);
MAKE("Exchange with","type in box","unnamed object 7",0);
MAKE("unnamed object 0","stacker","ROOT",1);
MAKE("mavisu's \"show bb\"","on/off switch","unnamed object 0",1);
MAKE("mavisu's \"Show points\"","on/off switch","unnamed object 0",1);
MAKE("mavisu's \"preview\"","on/off switch","unnamed object 0",1);
MAKE("mavisu's \"Show rule\"","on/off switch","unnamed object 0",1);
MAKE("mavisu's \"Show ticks\"","on/off switch","unnamed object 0",1);
MAKE("mavisu's \"round to rule\"","on/off switch","unnamed object 0",1);
MAKE("Half Rule Ticksize","button","unnamed object 0",0);
MAKE("set rule vertical","button","unnamed object 0",0);
MAKE("set rule horizontal","button","unnamed object 0",0);
MAKE("unnamed object 1","stacker","ROOT",1);
MAKE("Zoom in","button","unnamed object 1",0);
MAKE("Zoom out","button","unnamed object 1",0);
MAKE("unnamed object 2","stacker","ROOT",1);
MAKE("empty clip","button","unnamed object 2",0);
MAKE("get from clip","button","unnamed object 2",0);
MAKE("copy to clip","button","unnamed object 2",0);
MAKE("Done","button","ROOT",0);
MAKE("mavisu","Visu class","ROOT",0);
SET("arrow button","border raised","boolean",1,0,"no");
SET("arrow button","changed class","boolean",1,0,"no");
SET("arrow button","darken background","boolean",1,0,"yes");
SET("arrow button","direction","SUIT_enum",1,0,"\"right\" of {\"up\" \"down\" \"left\" \"right\"}");
SET("arrow button","draw filled","boolean",1,0,"no");
SET("arrow button","has background","boolean",1,0,"no");
SET("arrow button","intermediate feedback","boolean",1,0,"no");
SET("arrow button","shadow thickness","int",1,0,"3");
SET("billboard","border raised","boolean",1,0,"no");
SET("billboard","changed class","boolean",1,0,"no");
SET("borderless bulletin board","border raised","boolean",1,0,"no");
SET("borderless bulletin board","changed class","boolean",1,0,"no");
SET("borderless bulletin board","has border","boolean",1,0,"no");
SET("borderless file box","changed class","boolean",1,0,"no");
SET("borderless file box","file filter","text",1,0,"");
SET("borderless file box","has border","boolean",1,0,"no");
SET("bounded value","arrowhead angle","int",1,0,"10");
SET("bounded value","arrowhead length","double",1,0,"0.200000");
SET("bounded value","button background color","GP_color",1,0,"black, black");
SET("bounded value","button foreground color","GP_color",1,0,"grey, white");
SET("bounded value","changed class","boolean",1,0,"no");
SET("bounded value","current value","double",1,0,"0.000000");
SET("bounded value","granularity","double",1,0,"0.000000");
SET("bounded value","has arrow","boolean",1,0,"yes");
SET("bounded value","has tick marks","boolean",1,0,"yes");
SET("bounded value","increase clockwise","boolean",1,0,"yes");
SET("bounded value","minimum value","double",1,0,"0.000000");
SET("bounded value","needle color","GP_color",1,0,"black, black");
SET("bounded value","start angle","double",1,0,"0.000000");
SET("button","changed class","boolean",1,0,"no");
SET("button","disabled color","GP_color",1,0,"white, white");
SET("button","hotkey","text",1,0,"");
SET("button","interactively created","boolean",1,0,"no");
SET("button","justification","SUIT_enum",1,0,"\"center\" of {\"left\" \"center\" \"right\"}");
SET("button","original height","int",1,0,"0");
SET("button","original width","int",1,0,"0");
SET("button","shrink to fit","boolean",1,0,"yes");
SET("dialog box","border type","SUIT_enum",1,0,"\"fancy motif\" of {\"simple\" \"motif\" \"fancy motif\"}");
SET("dialog box","border width","int",1,0,"8");
SET("dialog box","cache using canvas","boolean",1,0,"yes");
SET("dialog box","changed class","boolean",1,0,"no");
SET("elevator","border raised","boolean",1,0,"no");
SET("elevator","changed class","boolean",1,0,"no");
SET("elevator","has background","boolean",1,0,"no");
SET("elevator","offset","double",1,0,"0.000000");
SET("elevator","sliding","boolean",1,0,"no");
SET("font panel","border raised","boolean",1,0,"no");
SET("font panel","changed class","boolean",1,0,"no");
SET("font panel","has border","boolean",1,0,"no");
SET("label","changed class","boolean",1,0,"no");
SET("label","has border","boolean",1,0,"no");
SET("label","justification","SUIT_enum",1,0,"\"center\" of {\"left\" \"center\" \"right\"}");
SET("label","shrink to fit","boolean",1,0,"yes");
SET("list","border raised","boolean",1,0,"no");
SET("list","changed class","boolean",1,0,"no");
SET("list","text spacing","double",1,0,"1.200000");
SET("menu","cache using canvas","boolean",1,0,"yes");
SET("menu","changed class","boolean",1,0,"no");
SET("on/off switch","changed class","boolean",1,0,"no");
SET("on/off switch","disabled color","GP_color",1,0,"white, white");
SET("on/off switch","original height","int",1,0,"0");
SET("on/off switch","original width","int",1,0,"0");
SET("on/off switch","shrink to fit","boolean",1,0,"yes");
SET("p.e.collection","border raised","boolean",1,0,"no");
SET("p.e.collection","changed class","boolean",1,0,"no");
SET("place mat","border raised","boolean",1,0,"no");
SET("place mat","changed class","boolean",1,0,"no");
SET("property editor","border raised","boolean",1,0,"no");
SET("property editor","changed class","boolean",1,0,"no");
SET("property list","border raised","boolean",1,0,"no");
SET("property list","changed class","boolean",1,0,"no");
SET("property list","text spacing","double",1,0,"1.500000");
SET("radio buttons","changed class","boolean",1,0,"no");
SET("radio buttons","current value","SUIT_enum",1,0,"\"default value\" of {\"default value\"}");
SET("radio buttons","interactively created","boolean",1,0,"no");
SET("scrollable list","border raised","boolean",1,0,"no");
SET("scrollable list","changed class","boolean",1,0,"no");
SET("scrollable list","has background","boolean",1,0,"no");
SET("scrollable list","has border","boolean",1,0,"no");
SET("scrollable property list","border raised","boolean",1,0,"no");
SET("scrollable property list","changed class","boolean",1,0,"no");
SET("scrollable property list","has background","boolean",1,0,"no");
SET("scrollable property list","has border","boolean",1,0,"no");
SET("spring panel","changed class","boolean",1,0,"no");
SET("stacker","border type","SUIT_enum",1,0,"\"fancy motif\" of {\"simple\" \"motif\" \"fancy motif\"}");
SET("stacker","changed class","boolean",1,0,"no");
SET("stacker","original height","int",1,0,"0");
SET("stacker","original width","int",1,0,"0");
SET("stacker","shrink to fit","boolean",1,0,"yes");
SET("type in box","any keystroke triggers","boolean",1,0,"no");
SET("type in box","append to buffer","boolean",1,0,"no");
SET("type in box","backward char key","text",1,0,"C-b");
SET("type in box","beginning of line key","text",1,0,"C-a");
SET("type in box","beginning of text key","text",1,0,"M-<");
SET("type in box","border raised","boolean",1,0,"no");
SET("type in box","calculate lines","boolean",1,0,"no");
SET("type in box","changed class","boolean",1,0,"no");
SET("type in box","cursor color","GP_color",1,0,"black, black");
SET("type in box","cursor index","int",1,0,"0");
SET("type in box","cursor style","SUIT_enum",1,0,"\"vertical bar\" of {\"i-beam\" \"vertical bar\"}");
SET("type in box","delete char key","text",1,0,"C-d");
SET("type in box","delete entire line key","text",1,0,"C-u");
SET("type in box","done editing key","text",1,0,"C-x");
SET("type in box","double click time","double",1,0,"400000.000000");
SET("type in box","end of line key","text",1,0,"C-e");
SET("type in box","end of text key","text",1,0,"M->");
SET("type in box","forward char key","text",1,0,"C-f");
SET("type in box","has a tab","boolean",1,0,"no");
SET("type in box","highlight block","boolean",1,0,"no");
SET("type in box","input sequence","text",1,0,"");
SET("type in box","interactively created","boolean",1,0,"no");
SET("type in box","kill line key","text",1,0,"C-k");
SET("type in box","last click time","double",1,0,"0.000000");
SET("type in box","last mark index","int",1,0,"0");
SET("type in box","mark end index","int",1,0,"0");
SET("type in box","mark index","int",1,0,"0");
SET("type in box","newline key","text",1,0,"C-m");
SET("type in box","next line key","text",1,0,"C-n");
SET("type in box","open line key","text",1,0,"C-o");
SET("type in box","original height","int",1,0,"0");
SET("type in box","original width","int",1,0,"0");
SET("type in box","pre cursor index","int",1,0,"0");
SET("type in box","previous line key","text",1,0,"C-p");
SET("type in box","repaint key","text",1,0,"C-l");
SET("type in box","scroll down key","text",1,0,"M-v");
SET("type in box","scroll up key","text",1,0,"C-v");
SET("type in box","set mark key","text",1,0,"C-`");
SET("type in box","shrink to fit","boolean",1,0,"yes");
SET("type in box","spacing gap","int",1,0,"3");
SET("type in box","start x","int",1,0,"0");
SET("type in box","start y","double",1,0,"0.000000");
SET("type in box","tab key","text",1,0,"C-i");
SET("type in box","tab length","int",1,0,"5");
SET("type in box","wipe block key","text",1,0,"C-w");
SET("type in box","yank key","text",1,0,"C-y");
SET("Visu class","changed class","boolean",1,0,"no");
SET("Visu class","char","int",1,0,"0");
SET("Visu class","interactively created","boolean",1,0,"no");
SET("Visu class","preview","boolean",1,0,"no");
SET("Visu class","round to rule","boolean",1,0,"no");
SET("Visu class","rule tick x","double",1,0,"0.000000");
SET("Visu class","rule tick y","double",1,0,"0.000000");
SET("Visu class","show bb","boolean",1,0,"no");
SET("Visu class","Show points","boolean",1,0,"no");
SET("Visu class","Show rule","boolean",1,0,"no");
SET("Visu class","Show ticks","boolean",1,0,"no");
SET("ROOT","animated","boolean",0,0,"no");
SET("ROOT","background color","GP_color",0,0,"grey, white");
SET("ROOT","border color","GP_color",0,0,"grey, black");
SET("ROOT","border raised","boolean",0,0,"yes");
SET("ROOT","border type","SUIT_enum",0,0,"\"motif\" of {\"simple\" \"motif\" \"fancy motif\"}");
SET("ROOT","border width","int",0,0,"2");
SET("ROOT","changed class","boolean",0,0,"no");
SET("ROOT","clip to viewport","boolean",0,0,"yes");
SET("ROOT","default object height","int",0,0,"80");
SET("ROOT","default object width","int",0,0,"80");
SET("ROOT","draw border on inside","boolean",0,0,"no");
SET("ROOT","font","GP_font",0,0,"times,,12.000000");
SET("ROOT","foreground color","GP_color",0,0,"black, black");
SET("ROOT","has background","boolean",0,0,"yes");
SET("ROOT","has border","boolean",0,0,"yes");
SET("ROOT","margin","int",0,0,"5");
SET("ROOT","show temporary properties","boolean",0,0,"no");
SET("ROOT","shrink to fit","boolean",0,0,"no");
SET("ROOT","springiness","SUIT_springiness",0,0,"63");
SET("ROOT","SUIT system font","GP_font",0,0,"helvetica,,14.000000");
SET("ROOT","viewport","viewport",0,1,"0 0 749 571");
SET("ROOT","visible","boolean",0,0,"yes");
SET("ROOT","window","window",0,1,"0.000000 0.000000 1.000000 1.000000");
SET("choix actions","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("choix actions","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("choix actions","current value","SUIT_enum",0,0,"\"move point\" of {\"move point\" \"add point\" \"delete point\" \"delete contour\" \"add contour\" \"invert contour\" \"contour to top\" \"spline <-> line\" \"aligner splines\" \"move bounding box\" \"set rule origin\" \"set rule ticks\" \"select Contour\" \"move selected\" \"rotate selected\" \"scale selected\"}");
SET("choix actions","shrink to fit","boolean",0,0,"no");
SET("choix actions","viewport","viewport",0,0,"442 268 572 557");
SET("unnamed object 10","active display","SUIT_enum",0,0,"\"vertical stacking\" of {\"horizontal stacking\" \"vertical stacking\"}");
SET("unnamed object 10","border type","SUIT_enum",0,0,"\"motif\" of {\"simple\" \"motif\" \"fancy motif\"}");
SET("unnamed object 10","viewport","viewport",0,0,"232 148 542 480");
SET("unnamed object 10","visible","boolean",0,1,"no");
SET("@b(thanks to)  Ronan Corler and Philippe Louet","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("@b(thanks to)  Ronan Corler and Philippe Louet","label","text",0,0,"@b(thanks to)  Ronan Corler and Philippe Louet");
SET("@b(thanks to)  Ronan Corler and Philippe Louet","original height","int",0,1,"25");
SET("@b(thanks to)  Ronan Corler and Philippe Louet","original width","int",0,1,"229");
SET("@b(thanks to)  Ronan Corler and Philippe Louet","viewport","viewport",0,0,"41 2 269 26");
SET("@(copyright) 1994  Serge Rosmorduc","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("@(copyright) 1994  Serge Rosmorduc","label","text",0,0,"@(copyright) 1994  Serge Rosmorduc");
SET("@(copyright) 1994  Serge Rosmorduc","original height","int",0,1,"25");
SET("@(copyright) 1994  Serge Rosmorduc","original width","int",0,1,"143");
SET("@(copyright) 1994  Serge Rosmorduc","viewport","viewport",0,0,"84 31 226 55");
SET("@i(A software for editing BZR files)","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("@i(A software for editing BZR files)","label","text",0,0,"@i(A software for editing BZR files)");
SET("@i(A software for editing BZR files)","original height","int",0,1,"25");
SET("@i(A software for editing BZR files)","original width","int",0,1,"172");
SET("@i(A software for editing BZR files)","viewport","viewport",0,0,"69 60 240 84");
SET("@b(Sbzr)","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("@b(Sbzr)","label","text",0,0,"@b(Sbzr)");
SET("@b(Sbzr)","original height","int",0,1,"25");
SET("@b(Sbzr)","original width","int",0,1,"35");
SET("@b(Sbzr)","viewport","viewport",0,0,"138 89 172 113");
SET("discl","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("discl","font","GP_font",0,0,"times,,10.000000");
SET("discl","has border","boolean",0,0,"no");
SET("discl","label","text",0,0,"@c(This program is free software; you canredistribute it and/or modify it under the terms of the GNU GeneralPublic License as published by the Free Software Foundation; eitherversion 2 of the License, or (at your option) any later version. Thisprogram is distributed in the hope that it will be useful, but WITHOUTANY WARRANTY; without even the implied warranty of MERCHANTABILITY orFITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public Licensefor more details. You should have received a copy of the GNU GeneralPublic License along with this program; if not, write to the FreeSoftware Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.)");
SET("discl","line spacing","double",0,0,"1.000000");
SET("discl","margin","int",0,0,"0");
SET("discl","original height","int",0,1,"213");
SET("discl","original width","int",0,1,"307");
SET("discl","springiness","SUIT_springiness",0,0,"60");
SET("discl","viewport","viewport",0,0,"2 118 308 330");
SET("unnamed object 10's \"visible\"","active display","SUIT_enum",0,0,"\"motif square\" of {\"dot in circle\" \"check box\" \"motif diamond\" \"motif square\"}");
SET("unnamed object 10's \"visible\"","callback function","SUIT_functionPointer",0,0,"ChainedPropertyCallback");
SET("unnamed object 10's \"visible\"","chained from property type","text",0,0,"boolean");
SET("unnamed object 10's \"visible\"","chained to object","text",0,0,"unnamed object 10");
SET("unnamed object 10's \"visible\"","chained to property","text",0,0,"visible");
SET("unnamed object 10's \"visible\"","chained to property type","text",0,0,"boolean");
SET("unnamed object 10's \"visible\"","current value","boolean",0,0,"no");
SET("unnamed object 10's \"visible\"","disabled","boolean",0,0,"no");
SET("unnamed object 10's \"visible\"","label","text",0,0,"About");
SET("unnamed object 10's \"visible\"","viewport","viewport",0,0,"15 54 80 78");
SET("unnamed object 9","active display","SUIT_enum",0,0,"\"vertical stacking\" of {\"horizontal stacking\" \"vertical stacking\"}");
SET("unnamed object 9","viewport","viewport",0,0,"579 6 664 96");
SET("Write Font as","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Write Font as","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Write Font as","disabled","boolean",0,0,"no");
SET("Write Font as","label","text",0,0,"Write Font as");
SET("Write Font as","original height","int",0,1,"25");
SET("Write Font as","original width","int",0,1,"82");
SET("Write Font as","viewport","viewport",0,0,"2 2 83 26");
SET("Save Font","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Save Font","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Save Font","disabled","boolean",0,0,"no");
SET("Save Font","label","text",0,0,"Save Font");
SET("Save Font","original height","int",0,1,"25");
SET("Save Font","original width","int",0,1,"63");
SET("Save Font","viewport","viewport",0,0,"11 31 73 55");
SET("unnamed object 3","active display","SUIT_enum",0,0,"\"vertical stacking\" of {\"horizontal stacking\" \"vertical stacking\"}");
SET("unnamed object 3","original height","int",0,1,"29");
SET("unnamed object 3","original width","int",0,1,"67");
SET("unnamed object 3","viewport","viewport",0,0,"9 60 75 88");
SET("Load Font","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Load Font","border raised","boolean",0,0,"yes");
SET("Load Font","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Load Font","disabled","boolean",0,0,"no");
SET("Load Font","has background","boolean",0,0,"yes");
SET("Load Font","hotkey","text",0,0,"^l");
SET("Load Font","label","text",0,0,"Load Font");
SET("Load Font","original height","int",0,1,"25");
SET("Load Font","original width","int",0,1,"63");
SET("Load Font","viewport","viewport",0,0,"2 2 64 26");
SET("unnamed object 8","active display","SUIT_enum",0,0,"\"vertical stacking\" of {\"horizontal stacking\" \"vertical stacking\"}");
SET("unnamed object 8","viewport","viewport",0,0,"423 6 523 63");
SET("Move bb to zero","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Move bb to zero","border raised","boolean",0,0,"yes");
SET("Move bb to zero","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Move bb to zero","disabled","boolean",0,0,"no");
SET("Move bb to zero","has background","boolean",0,0,"yes");
SET("Move bb to zero","label","text",0,0,"Move BB to zero");
SET("Move bb to zero","original height","int",0,1,"25");
SET("Move bb to zero","original width","int",0,1,"97");
SET("Move bb to zero","viewport","viewport",0,0,"2 2 98 26");
SET("Compute BB","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Compute BB","border raised","boolean",0,0,"yes");
SET("Compute BB","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Compute BB","disabled","boolean",0,0,"no");
SET("Compute BB","has background","boolean",0,0,"yes");
SET("Compute BB","label","text",0,0,"Compute BB");
SET("Compute BB","original height","int",0,1,"25");
SET("Compute BB","original width","int",0,1,"75");
SET("Compute BB","viewport","viewport",0,0,"13 31 87 55");
SET("unnamed object 5","active display","SUIT_enum",0,0,"\"vertical stacking\" of {\"horizontal stacking\" \"vertical stacking\"}");
SET("unnamed object 5","viewport","viewport",0,0,"96 6 345 101");
SET("delete letter","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("delete letter","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("delete letter","disabled","boolean",0,0,"no");
SET("delete letter","label","text",0,0,"delete letter");
SET("delete letter","original height","int",0,1,"25");
SET("delete letter","original width","int",0,1,"72");
SET("delete letter","viewport","viewport",0,0,"89 2 160 26");
SET("new letter","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("new letter","border raised","boolean",0,0,"yes");
SET("new letter","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("new letter","disabled","boolean",0,0,"no");
SET("new letter","has background","boolean",0,0,"yes");
SET("new letter","label","text",0,0,"new letter");
SET("new letter","original height","int",0,1,"25");
SET("new letter","original width","int",0,1,"62");
SET("new letter","viewport","viewport",0,0,"94 31 155 55");
SET("unnamed object 4","active display","SUIT_enum",0,0,"\"horizontal stacking\" of {\"horizontal stacking\" \"vertical stacking\"}");
SET("unnamed object 4","original height","int",0,1,"34");
SET("unnamed object 4","original width","int",0,1,"246");
SET("unnamed object 4","springiness","SUIT_springiness",0,0,"60");
SET("unnamed object 4","viewport","viewport",0,0,"2 60 247 93");
SET("char-","active display","SUIT_enum",0,0,"\"motif\" of {\"simple arrow\" \"motif\"}");
SET("char-","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("char-","direction","SUIT_enum",0,0,"\"left\" of {\"up\" \"down\" \"left\" \"right\"}");
SET("char-","original height","int",0,1,"30");
SET("char-","original width","int",0,1,"55");
SET("char-","viewport","viewport",0,0,"2 2 56 31");
SET("char number","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("char number","altered","boolean",0,0,"yes");
SET("char number","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("char number","current value","text",0,0,"32");
SET("char number","cut buffer","text",0,0,"");
SET("char number","has a tab","boolean",0,0,"no");
SET("char number","number of lines","int",0,0,"1");
SET("char number","original height","int",0,1,"25");
SET("char number","original width","int",0,1,"124");
SET("char number","paint block only","boolean",0,0,"yes");
SET("char number","read only","boolean",0,0,"no");
SET("char number","viewport","viewport",0,0,"61 4 184 28");
SET("char+","active display","SUIT_enum",0,0,"\"motif\" of {\"simple arrow\" \"motif\"}");
SET("char+","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("char+","direction","SUIT_enum",0,0,"\"right\" of {\"up\" \"down\" \"left\" \"right\"}");
SET("char+","original height","int",0,1,"28");
SET("char+","original width","int",0,1,"55");
SET("char+","viewport","viewport",0,0,"189 3 243 30");
SET("unnamed object 7","active display","SUIT_enum",0,0,"\"horizontal stacking\" of {\"horizontal stacking\" \"vertical stacking\"}");
SET("unnamed object 7","viewport","viewport",0,0,"463 121 729 151");
SET("unnamed object 6","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("unnamed object 6","font","GP_font",0,0,"helvetica,bold,14.000000");
SET("unnamed object 6","label","text",0,0,"exchange char with :");
SET("unnamed object 6","original height","int",0,1,"27");
SET("unnamed object 6","original width","int",0,1,"153");
SET("unnamed object 6","viewport","viewport",0,0,"2 2 154 28");
SET("Exchange with","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("Exchange with","altered","boolean",0,0,"yes");
SET("Exchange with","append to buffer","boolean",0,0,"no");
SET("Exchange with","calculate lines","boolean",0,0,"no");
SET("Exchange with","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Exchange with","current value","text",0,0,"41");
SET("Exchange with","cursor index","int",0,0,"2");
SET("Exchange with","cursor x","int",0,0,"17");
SET("Exchange with","cursor y","int",0,0,"8");
SET("Exchange with","has a tab","boolean",0,0,"no");
SET("Exchange with","highlight block","boolean",0,0,"no");
SET("Exchange with","input sequence","text",0,0,"");
SET("Exchange with","last click time","double",0,0,"80017000915.000000");
SET("Exchange with","last mark index","int",0,0,"1");
SET("Exchange with","mark end index","int",0,0,"1");
SET("Exchange with","mark index","int",0,0,"1");
SET("Exchange with","number of lines","int",0,0,"1");
SET("Exchange with","original height","int",0,1,"25");
SET("Exchange with","original width","int",0,1,"106");
SET("Exchange with","paint block only","boolean",0,0,"yes");
SET("Exchange with","pre cursor index","int",0,0,"1");
SET("Exchange with","read only","boolean",0,0,"no");
SET("Exchange with","start x","int",0,0,"5");
SET("Exchange with","start y","double",0,0,"19.000000");
SET("Exchange with","viewport","viewport",0,0,"159 3 264 27");
SET("unnamed object 0","active display","SUIT_enum",0,0,"\"vertical stacking\" of {\"horizontal stacking\" \"vertical stacking\"}");
SET("unnamed object 0","viewport","viewport",0,0,"603 175 709 435");
SET("mavisu's \"show bb\"","active display","SUIT_enum",0,0,"\"motif square\" of {\"dot in circle\" \"check box\" \"motif diamond\" \"motif square\"}");
SET("mavisu's \"show bb\"","callback function","SUIT_functionPointer",0,0,"ChainedPropertyCallback");
SET("mavisu's \"show bb\"","chained from property type","text",0,0,"boolean");
SET("mavisu's \"show bb\"","chained to object","text",0,0,"mavisu");
SET("mavisu's \"show bb\"","chained to property","text",0,0,"show bb");
SET("mavisu's \"show bb\"","chained to property type","text",0,0,"boolean");
SET("mavisu's \"show bb\"","current value","boolean",0,0,"yes");
SET("mavisu's \"show bb\"","disabled","boolean",0,0,"no");
SET("mavisu's \"show bb\"","label","text",0,0,"show bb");
SET("mavisu's \"show bb\"","original height","int",0,1,"25");
SET("mavisu's \"show bb\"","original width","int",0,1,"77");
SET("mavisu's \"show bb\"","viewport","viewport",0,0,"15 2 91 26");
SET("mavisu's \"Show points\"","active display","SUIT_enum",0,0,"\"motif square\" of {\"dot in circle\" \"check box\" \"motif diamond\" \"motif square\"}");
SET("mavisu's \"Show points\"","callback function","SUIT_functionPointer",0,0,"ChainedPropertyCallback");
SET("mavisu's \"Show points\"","chained from property type","text",0,0,"boolean");
SET("mavisu's \"Show points\"","chained to object","text",0,0,"mavisu");
SET("mavisu's \"Show points\"","chained to property","text",0,0,"Show points");
SET("mavisu's \"Show points\"","chained to property type","text",0,0,"boolean");
SET("mavisu's \"Show points\"","current value","boolean",0,0,"no");
SET("mavisu's \"Show points\"","disabled","boolean",0,0,"no");
SET("mavisu's \"Show points\"","label","text",0,0,"Show points");
SET("mavisu's \"Show points\"","original height","int",0,1,"25");
SET("mavisu's \"Show points\"","original width","int",0,1,"97");
SET("mavisu's \"Show points\"","viewport","viewport",0,0,"5 31 101 55");
SET("mavisu's \"preview\"","active display","SUIT_enum",0,0,"\"motif square\" of {\"dot in circle\" \"check box\" \"motif diamond\" \"motif square\"}");
SET("mavisu's \"preview\"","callback function","SUIT_functionPointer",0,0,"ChainedPropertyCallback");
SET("mavisu's \"preview\"","chained from property type","text",0,0,"boolean");
SET("mavisu's \"preview\"","chained to object","text",0,0,"mavisu");
SET("mavisu's \"preview\"","chained to property","text",0,0,"preview");
SET("mavisu's \"preview\"","chained to property type","text",0,0,"boolean");
SET("mavisu's \"preview\"","current value","boolean",0,0,"no");
SET("mavisu's \"preview\"","disabled","boolean",0,0,"no");
SET("mavisu's \"preview\"","label","text",0,0,"preview");
SET("mavisu's \"preview\"","original height","int",0,1,"25");
SET("mavisu's \"preview\"","original width","int",0,1,"75");
SET("mavisu's \"preview\"","viewport","viewport",0,0,"16 60 90 84");
SET("mavisu's \"Show rule\"","active display","SUIT_enum",0,0,"\"motif square\" of {\"dot in circle\" \"check box\" \"motif diamond\" \"motif square\"}");
SET("mavisu's \"Show rule\"","callback function","SUIT_functionPointer",0,0,"ChainedPropertyCallback");
SET("mavisu's \"Show rule\"","chained from property type","text",0,0,"boolean");
SET("mavisu's \"Show rule\"","chained to object","text",0,0,"mavisu");
SET("mavisu's \"Show rule\"","chained to property","text",0,0,"Show rule");
SET("mavisu's \"Show rule\"","chained to property type","text",0,0,"boolean");
SET("mavisu's \"Show rule\"","current value","boolean",0,0,"no");
SET("mavisu's \"Show rule\"","disabled","boolean",0,0,"no");
SET("mavisu's \"Show rule\"","label","text",0,0,"Show rule");
SET("mavisu's \"Show rule\"","original height","int",0,1,"25");
SET("mavisu's \"Show rule\"","original width","int",0,1,"85");
SET("mavisu's \"Show rule\"","viewport","viewport",0,0,"11 89 95 113");
SET("mavisu's \"Show ticks\"","active display","SUIT_enum",0,0,"\"motif square\" of {\"dot in circle\" \"check box\" \"motif diamond\" \"motif square\"}");
SET("mavisu's \"Show ticks\"","callback function","SUIT_functionPointer",0,0,"ChainedPropertyCallback");
SET("mavisu's \"Show ticks\"","chained from property type","text",0,0,"boolean");
SET("mavisu's \"Show ticks\"","chained to object","text",0,0,"mavisu");
SET("mavisu's \"Show ticks\"","chained to property","text",0,0,"Show ticks");
SET("mavisu's \"Show ticks\"","chained to property type","text",0,0,"boolean");
SET("mavisu's \"Show ticks\"","current value","boolean",0,0,"no");
SET("mavisu's \"Show ticks\"","disabled","boolean",0,0,"no");
SET("mavisu's \"Show ticks\"","label","text",0,0,"Show ticks");
SET("mavisu's \"Show ticks\"","original height","int",0,1,"25");
SET("mavisu's \"Show ticks\"","original width","int",0,1,"90");
SET("mavisu's \"Show ticks\"","viewport","viewport",0,0,"8 118 97 142");
SET("mavisu's \"round to rule\"","active display","SUIT_enum",0,0,"\"motif square\" of {\"dot in circle\" \"check box\" \"motif diamond\" \"motif square\"}");
SET("mavisu's \"round to rule\"","callback function","SUIT_functionPointer",0,0,"ChainedPropertyCallback");
SET("mavisu's \"round to rule\"","chained from property type","text",0,0,"boolean");
SET("mavisu's \"round to rule\"","chained to object","text",0,0,"mavisu");
SET("mavisu's \"round to rule\"","chained to property","text",0,0,"round to rule");
SET("mavisu's \"round to rule\"","chained to property type","text",0,0,"boolean");
SET("mavisu's \"round to rule\"","current value","boolean",0,0,"no");
SET("mavisu's \"round to rule\"","disabled","boolean",0,0,"no");
SET("mavisu's \"round to rule\"","label","text",0,0,"round to rule");
SET("mavisu's \"round to rule\"","original height","int",0,1,"25");
SET("mavisu's \"round to rule\"","original width","int",0,1,"98");
SET("mavisu's \"round to rule\"","viewport","viewport",0,0,"4 147 101 171");
SET("Half Rule Ticksize","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Half Rule Ticksize","border raised","boolean",0,0,"yes");
SET("Half Rule Ticksize","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Half Rule Ticksize","disabled","boolean",0,0,"no");
SET("Half Rule Ticksize","has background","boolean",0,0,"yes");
SET("Half Rule Ticksize","label","text",0,0,"Half Rule Ticksize");
SET("Half Rule Ticksize","original height","int",0,1,"25");
SET("Half Rule Ticksize","original width","int",0,1,"103");
SET("Half Rule Ticksize","viewport","viewport",0,0,"2 176 104 200");
SET("set rule vertical","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("set rule vertical","border raised","boolean",0,0,"yes");
SET("set rule vertical","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("set rule vertical","disabled","boolean",0,0,"no");
SET("set rule vertical","has background","boolean",0,0,"yes");
SET("set rule vertical","label","text",0,0,"set rule vertical");
SET("set rule vertical","original height","int",0,1,"25");
SET("set rule vertical","original width","int",0,1,"89");
SET("set rule vertical","viewport","viewport",0,0,"9 205 97 229");
SET("set rule horizontal","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("set rule horizontal","border raised","boolean",0,0,"yes");
SET("set rule horizontal","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("set rule horizontal","disabled","boolean",0,0,"no");
SET("set rule horizontal","has background","boolean",0,0,"yes");
SET("set rule horizontal","label","text",0,0,"set rule horizontal");
SET("set rule horizontal","original height","int",0,1,"25");
SET("set rule horizontal","original width","int",0,1,"102");
SET("set rule horizontal","viewport","viewport",0,0,"2 234 103 258");
SET("unnamed object 1","active display","SUIT_enum",0,0,"\"vertical stacking\" of {\"horizontal stacking\" \"vertical stacking\"}");
SET("unnamed object 1","viewport","viewport",0,0,"670 487 732 544");
SET("Zoom in","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Zoom in","border raised","boolean",0,0,"yes");
SET("Zoom in","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Zoom in","disabled","boolean",0,0,"no");
SET("Zoom in","has background","boolean",0,0,"yes");
SET("Zoom in","label","text",0,0,"Zoom in");
SET("Zoom in","original height","int",0,1,"25");
SET("Zoom in","original width","int",0,1,"52");
SET("Zoom in","viewport","viewport",0,0,"5 2 56 26");
SET("Zoom out","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Zoom out","border raised","boolean",0,0,"yes");
SET("Zoom out","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Zoom out","disabled","boolean",0,0,"no");
SET("Zoom out","has background","boolean",0,0,"yes");
SET("Zoom out","label","text",0,0,"Zoom out");
SET("Zoom out","original height","int",0,1,"25");
SET("Zoom out","original width","int",0,1,"59");
SET("Zoom out","viewport","viewport",0,0,"2 31 60 55");
SET("unnamed object 2","active display","SUIT_enum",0,0,"\"vertical stacking\" of {\"horizontal stacking\" \"vertical stacking\"}");
SET("unnamed object 2","viewport","viewport",0,0,"586 469 661 555");
SET("empty clip","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("empty clip","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("empty clip","disabled","boolean",0,0,"no");
SET("empty clip","label","text",0,0,"empty clip");
SET("empty clip","original height","int",0,1,"25");
SET("empty clip","original width","int",0,1,"62");
SET("empty clip","viewport","viewport",0,0,"7 2 68 26");
SET("get from clip","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("get from clip","border raised","boolean",0,0,"yes");
SET("get from clip","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("get from clip","disabled","boolean",0,0,"no");
SET("get from clip","has background","boolean",0,0,"yes");
SET("get from clip","label","text",0,0,"get from clip");
SET("get from clip","original height","int",0,1,"25");
SET("get from clip","original width","int",0,1,"72");
SET("get from clip","viewport","viewport",0,0,"2 31 73 55");
SET("copy to clip","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("copy to clip","border raised","boolean",0,0,"yes");
SET("copy to clip","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("copy to clip","disabled","boolean",0,0,"no");
SET("copy to clip","has background","boolean",0,0,"yes");
SET("copy to clip","label","text",0,0,"copy to clip");
SET("copy to clip","original height","int",0,1,"25");
SET("copy to clip","original width","int",0,1,"67");
SET("copy to clip","viewport","viewport",0,0,"4 60 70 84");
SET("Done","active display","SUIT_enum",0,0,"\"standard\" of {\"button with hotkey\" \"standard\"}");
SET("Done","border raised","boolean",0,0,"yes");
SET("Done","callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Done","disabled","boolean",0,0,"no");
SET("Done","done callback function","SUIT_functionPointer",0,0,"function ptr");
SET("Done","has background","boolean",0,0,"yes");
SET("Done","label","text",0,0,"Done");
SET("Done","viewport","viewport",0,0,"703 6 740 30");
SET("mavisu","active display","SUIT_enum",0,0,"\"standard\" of {\"standard\"}");
SET("mavisu","char","int",0,0,"32");
SET("mavisu","preview","boolean",0,1,"no");
SET("mavisu","round to rule","boolean",0,1,"no");
SET("mavisu","rule origine x","double",0,0,"0.017355");
SET("mavisu","rule origine y","double",0,0,"-0.009408");
SET("mavisu","rule tick x","double",0,0,"13.991051");
SET("mavisu","rule tick y","double",0,0,"13.924590");
SET("mavisu","show bb","boolean",0,1,"yes");
SET("mavisu","Show points","boolean",0,1,"yes");
SET("mavisu","Show rule","boolean",0,1,"no");
SET("mavisu","Show ticks","boolean",0,1,"no");
SET("mavisu","springiness","SUIT_springiness",0,0,"60");
SET("mavisu","viewport","viewport",0,0,"20 163 420 563");
SET("mavisu","window","window",0,0,"-11.280060 -9.889485 25.223884 26.614459");


} /* end of INIT_suiRoutine */



void SUIT_initFromCode (char *programName)
{
    SUIT_interiorInitFromCode (programName, INIT_suiRoutine, THE_SCREEN_WIDTH,
                               THE_SCREEN_HEIGHT, THE_SCREEN_DEPTH);
}
